Problemas ao executar o minecraft no linux mint[Java]

Boa noite, como dito no titulo, estou tendo problemas ao tentar executar o minecraft no linux mint, antes eu conseguia abrir o launcher mas ao apertar em jogar, ele carregava, e fazia o mesmo procedimento de quando aparentemente vai funcionar, mas ele nunca abria o jogo de fato.
Busquei em alguns fóruns soluções, acabei desinstalando o java, foi mó complicação instalar ele novamente, consegui instalar, mas agora ao tentar executar o minecraft, não abre nem mesmo o launcher.

ps. Ja tentei trocar de launcher mas continuo com o mesmo problema, creio que seja mesmo o java ou alguma configuração da maquina

É o launcher original certo?

Não, eu estou utilizando um launcher alternativo

Já tentou nos fóruns do Launcher verse alguém tem uma solução? Já tive o mesmo erro com o multimc mas acho que só consegui resolver alterando o Java. Qual é a versão do Java?

Aquí está o tópico:

Sim, eu olhei nos fóruns e nada, eu olhei seu tópico mas não resolveu :frowning: eu tenho no Pc o Open JDK Java 11 e o Open JDK Java 8, nenhum dos dois funciona…

Tente
sudo apt install default-jdk
E depois:
java -version

nielies@Nielies-PC:~$ sudo apt install default-jdk
[sudo] senha para nielies:
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
default-jdk is already the newest version (2:1.11-68ubuntu1~18.04.1).
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 9 não atualizados.
nielies@Nielies-PC:~$ java - versions

Command ‘java’ not found, but can be installed with:

sudo apt install default-jre
sudo apt install openjdk-11-jre-headless
sudo apt install openjdk-8-jre-headless

Tente este então:
sudo apt install default-jre
Parece que o java não está bem instalado.

nielies@Nielies-PC:~$ sudo apt install default-jre
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
default-jre is already the newest version (2:1.11-68ubuntu1~18.04.1).
default-jre configurado para instalar manualmente.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 9 não atualizados.

Tente sudo apt remove jre*

Acho que este site pode ser útil:

nielies@Nielies-PC:~$ sudo apt remove jre
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Note, a seleccionar ‘ibm-java80-jre’ em vez de ‘jre’
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 9 não atualizados.

Ou então tente o site oficial do Java:
https://www.java.com/pt_BR/download/help/linux_x64_install.xml

Instalação DEB

Olá francisco, fiz todo o procedimento, após isso continuo obtendo o mesmo erro…
root@Nielies-PC:/usr/java# java --versions

Command ‘java’ not found, but can be installed with:

apt install default-jre
apt install openjdk-11-jre-headless
apt install openjdk-8-jre-headless

Não sei se o comando sudo apt autoremove pode ajudar.

Se não, tente o sudo apt update e sudo apt update --fix-missing ou sudo apt install -f
Estes comandos são para tentar recuperar alguma instalação corrompida do Java.
Espero que ajude

Na parte INSTALLATION os 3 primeiros comandos:

EDIT: Conseguiu?

1 Curtida

Olá, após remover todas as versões java do meu computador eu consegui instalar a versão 8 do java utilizando o seguinte comando:

sudo apt install openjdk-8-jdk

Desculpe a demora, respondi muitas mensagens no meu primeiro dia e fui “bloqueado” por 12 horas

1 Curtida